MozillaZine

Network.http.proxy.version

From MozillaZine Knowledge Base

Contents

Background

HTTP is the application-layer protocol that most web pages are transferred with. This preference controls which version of HTTP to use if a proxy server is configured.

Possible values and their effects

1.0

Use HTTP 1.0.

1.1

Use HTTP 1.1. (Default)

Caveats

  • This preference only has an effect if you are using a proxy. If you are not using a proxy, see network.http.version.

Recommended settings

This preference should usually be left at the default of 1.1. Some proxy servers require that 1.0 be used.

First checked in

2001-05-11 by Darin Fisher

Has an effect in

  • Netscape (all versions since 6.1)
  • Mozilla Suite (all versions since 0.9)
  • Mozilla Phoenix (all versions)
  • Mozilla Firebird (all versions)
  • Mozilla Firefox (all versions)
  • SeaMonkey (all versions)
  • Camino (all versions)
  • Minimo (all versions)

Related bugs

Related preferences

External links